Bug 492231 - Review Request: trac-watchlist-plugin - plugin for watching trac wiki pages and tickets
Review Request: trac-watchlist-plugin - plugin for watching trac wiki pages a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 21:02 EDT by Jon Stanley
Modified: 2012-10-10 17:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 17:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2009-03-25 21:02:32 EDT
Spec URL: http://jstanley.fedorapeople.org/trac-watchlist-plugin.spec
SRPM URL: http://jstanley.fedorapeople.org/trac-watchlist-plugin-0.1-1.svn5357.fc11.noarch.rpm
Description: This plugin allows users to set watches on wiki pages and tickets in Trac. It currently only works with trac 0.11.
Comment 1 Till Maas 2009-03-31 07:35:14 EDT
It seems to me that this is a pre-release snapshot, because there seems to be no upstream release of version 0.1 of this package. Then the RPM release tag has to follow this schema:
0.%{X}.%{alphatag}

Which is in this case:
0.1.svn%{svn_rev}%{?dist}


https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
Comment 2 Jon Stanley 2009-04-03 01:24:01 EDT
Upstream is really bad about versioned releases for trac plugins.  But I see your point, I was following the post-release snapshot guidelines, assuming that the first version ever published was the 0.1 "release".

A "release" per se is unlikely to ever occur for this package, so it will be forever a pre-release I guess.

New spec: http://jstanley.fedorapeople.org/trac-watchlist-plugin.spec
New SRPM: http://jstanley.fedorapeople.org/trac-watchlist-plugin-0.1-0.2.svn5357.fc10.src.rpm
Comment 3 Jon Stanley 2009-04-03 01:27:28 EDT
Oh, and the 0.1 version came from setup.py - I didn't just pull it from mid-air :)
Comment 4 Till Maas 2009-04-21 13:51:59 EDT
[OK] rpmlint output:
trac-watchlist-plugin.noarch: W: no-documentation

[OK] Spec in %{name}.spec format

[OK] license allowed: BSD
[OK] license matches shortname in License: tag
[OK] license in tarball and included in %doc: not in upstream tarball/SCM

[OK] package is code or permissive content:
{OK} patches sent to upstream and commented: no patches

[GOOD ENOUGH] Source0 is a working URL
Tarball generation instructions work

{N/A} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
<OK> SourceX / PatchY prefixed with %{name}


[OK] Source0 matches Upstream:
indidual files in tarball match locally generated tarball

[OK] Package builds on all primary architectures: noarch
http://koji.fedoraproject.org/koji/taskinfo?taskID=1311889
[N/A] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 

[N/A] %find_lang used for locales

[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included


[N/A] Has GUI and includes %{name}.desktop
[N/A] Follows desktop entry spec
[N/A] Valid .desktop Name
[N/A] Valid .desktop GenericName
[N/A] Valid .desktop Categories

[N/A] Valid .desktop StartupNotify
[N/A] .desktop file installed with desktop-file-install in %install

[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[OK] Consistent macro usage
[OK] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)
{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

{OK} PreReq not used
{N/A} RPM_OPT_FLAGS honoured
{N/A} Useful debuginfo generated
{OK} no duplication of system libraries
{OK} no rpath
{GOOD ENOUGH} Timestamps preserved with cp and install
{N/A} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format
{OK} does not use Scriptlets
<OK> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:
{OK} Follows Naming Guidelines
{OK} Has BuildRequires: python
{NOT OK} Defines and uses %{python_sitelib}:
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
you should use %global instead of %define

[OK] Python eggs must be built from source. They cannot simply drop an egg from upstream into the proper directory.
[OK] Python eggs must not download any dependencies during the build process.
[OK] If egg-info files are generated by the modules build scripts they must be included in the package.
[N/A] When building a compat package, it must install using easy_install -m so it won't conflict with the main package.
[N/A] When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.
(OK) A package which is used by another package via an egg interface should provide egg info. 

{OK} Egg install:
%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 


Please change the two occurences of %define to %global before importing the
package into Fedora. Except for this minor issue the package looks good and is
therefore APPROVED.
Comment 5 Till Maas 2010-01-27 11:32:18 EST
You need to create a CVS admin request to proceed, and don't forget to change the %define to %global.
Comment 6 Jon Stanley 2010-01-29 14:30:57 EST
Oops, looks like I completely forgot about this - sorry about that!

New Package CVS Request
=======================
Package Name: trac-watchlist-plugin
Short Description: A trac plugin for watching wiki 
Owners: jstanley
Branches: F-11 F-12 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2010-01-31 13:03:55 EST
CVS done (by process-cvs-requests.py).
Comment 8 Till Maas 2010-06-29 16:35:46 EDT
(In reply to comment #6)
> Oops, looks like I completely forgot about this - sorry about that!

It seems this happened again.
Comment 9 Kevin Fenzi 2011-12-28 13:20:53 EST
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5335/trac-watchlist-plugin-0.5-0.2.svn11062.el6

I don't know if Fedora branches/updates are needed/wanted.
Comment 10 Till Maas 2012-10-10 17:38:51 EDT
It has been built for Fedora 17 and 18, therefore I do not see any value in keeping this bug open.

Note You need to log in before you can comment on or make changes to this bug.